查询虚拟账户申请详情

GET
/openapi/v1/wallet/virtual-account-requests/{requestNo}

根据申请单号查询虚拟账户申请的详细信息。

鉴权

bearerAuth
header鉴权Bearer <令牌>

通过 POST /oauth2/token 获取的 access_token。请求头格式为 Authorization: Bearer {accessToken}。

路径参数

requestNo*string

申请单号

Header 参数

X-Channel-Provider?string

渠道提供商标识,如 GLDB。不传时默认 GLDB

默认值"GLDB"

响应体

返回申请详情。

application/json
  1. response
code?integer

业务状态码

message?string
traceId?string

请求追踪 ID。联系技术支持时请提供

data?
请求示例
curl -X GET 'https://api.test.stabofx.com/openapi/v1/wallet/virtual-account-requests/SA0000000001'
响应示例
{  "code": 200,  "message": "OK",  "traceId": "a1b2c3d4-e5f6-7890",  "data": {    "requestNo": "SA0000000001",    "status": "SUCCESS",    "accountName": "Example Trading Pte Ltd",    "masterAccountNo": "1000000000",    "virtualAccountNo": "1000000001",    "currency": "SGD",    "contactName": "Example Contact",    "contactEmail": "contact@example.com",    "contactPhone": "+6500000000",    "companyRegistrationDoc": "https://storage.example.com/coi/example.pdf",    "accountOpeningProof": "https://storage.example.com/proof/letter.pdf",    "otherDocuments": [      "https://storage.example.com/docs/statement.pdf"    ],    "message": "VA account opened successfully",    "createdAt": "2025-12-30T16:40:03",    "updatedAt": "2025-12-30T16:40:03"  }}